<?php

namespace App\Data\Pagarme\Request\RecipientRequestData;

use App\Data\Pagarme\PagarmeData;

final readonly class RecipientAutomaticAnticipationSettingsData extends PagarmeData
{
    public function __construct(
        public bool $enabled,
    ) {}

    public function toArray(): array
    {
        return $this->filterFilledRecursive([
            'enabled' => $this->enabled,
        ]);
    }
}
